%define name pidentd
%define version 3.0.10
%define release 1mdk

Summary: An implementation of the RFC1413 identification server.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Public domain/GPL
Group: System/Servers
Source: ftp://ftp.lysator.liu.se/pub/unix/ident/servers/%{name}-%{version}.tar.bz2
Patch0: pidentd-3.0.8-dummy.patch.bz2
Patch1: pidentd-3.0.10-security.patch.bz2
Patch2: pidentd-3.0.10-install.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: /sbin/chkconfig /usr/bin/perl fileutils

%description
The pidentd package contains identd, which implements the RFC1413
identification server.  Identd looks up specific TCP/IP connections
and returns either the user name or other information about the
process that owns the connection.

%prep
%setup -q
%patch0 -p1 -b .dummy
%patch1 -p1 -b .dropprivs
%patch2 -p1 -b .inst

%build

%configure --sysconfdir=/etc --with-threads=yes

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k" ; exit 0)
        make
else
        make
fi


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}

make prefix=${RPM_BUILD_ROOT}%{_prefix} install

ln -s identd ${RPM_BUILD_ROOT}%{_prefix}/sbin/in.identd
ln -s identd.8 ${RPM_BUILD_ROOT}%{_prefix}/sbin/in.identd.8
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d
install -m 0644 etc/identd.conf $RPM_BUILD_ROOT/etc/identd.conf
install -m 0644 etc/identd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/identd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add identd
/usr/bin/perl -i -pe 's/^(\s*auth\s.*)/#$1/' /etc/inetd.conf

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del identd
fi

%files
%defattr(-,root,root)
%doc BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc1413.txt doc/sgi_irix.txt
%{_prefix}/sbin/*
%attr(0644,root,root) %config /etc/identd.conf
%attr(0755,root,root) %config /etc/rc.d/init.d/identd
%{_prefix}/man/man8/*

%changelog
* Mon Apr 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.0.10-1mdk
- spec file update.
- updated with 3.0.10 and rh patches.

* Sat Apr 01 2000 Franois Pons <fpons@mandrakesoft.com> 2.8.5-8mdk
- updated Group.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMp check/build

* Fri Jul 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add example cfg
- refixed dangling BuildRoot in man page
- add to cooker

* Wed Jun 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Added pidentd+fm-1.1 patch for masq support

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.8.5.
- fix dangling BuildRoot in man page (#1458).

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8.4.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.7

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
